Skip to content

Subscription & Usage

All operations require authentication.

30 operationsv1/telephony/{billingAccount}
Agent setup

List servicesProduction

GET
/1.0/telephony/{billingAccount}/service

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a serviceProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200TelephonyServicesuccessful operation
associatedDeviceMac
read-only
macAddress

MAC address of the associated device if there is one.

country
read-only
ServiceNumberCountryEnum

The country of the number

Valuesbechdeesfrgbuk
countryCode
read-only
NumberCountryCodeEnum

The country code of the number

Values323334414449
currentOutplan
read-only
Price

Current outplan

description
string
—
featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
getPublicOffer
read-only
LineOffer

The service offers

hasFaxCapabilities
read-only
boolean

Does this service have fax capabilities?

offers
read-only
string[]
—
properties
read-only
PropertyEnum[]
—
Valuesxdsl
rio
read-only
string

The identifier to use to port the number

serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline
simultaneousLines
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "associatedDeviceMac": "00:00:5e:00:53:01", "country": "be", "countryCode": 32, "currentOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "description": "string", "featureType": "aiAgent", "getPublicOffer": { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }, "hasFaxCapabilities": true, "offers": [ "string" ], "properties": [ "xdsl" ], "rio": "string", "serviceName": "string", "serviceType": "alias", "simultaneousLines": 0}

Terminate a serviceProduction

DELETE
/1.0/telephony/{billingAccount}/service/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

details
string

Termination reason details

reason
required
TerminationReasonEnum

Termination reason

ValuesaddresseMovebillingDifficultiescessationOfActivitymissingOptionsmoveToCompetitorotherplugAndPhoneDifficultiestechnicalDifficulties

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a serviceProduction

PUT
/1.0/telephony/{billingAccount}/service/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

associatedDeviceMac
read-only
macAddress

MAC address of the associated device if there is one.

country
read-only
ServiceNumberCountryEnum

The country of the number

Valuesbechdeesfrgbuk
countryCode
read-only
NumberCountryCodeEnum

The country code of the number

Values323334414449
currentOutplan
read-only
Price

Current outplan

description
string
—
featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
getPublicOffer
read-only
LineOffer

The service offers

hasFaxCapabilities
read-only
boolean

Does this service have fax capabilities?

offers
read-only
string[]
—
properties
read-only
PropertyEnum[]
—
Valuesxdsl
rio
read-only
string

The identifier to use to port the number

serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline
simultaneousLines
read-only
integer
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Cancel the service terminationProduction

POST
/1.0/telephony/{billingAccount}/service/{serviceName}/cancelTermination

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/cancelTermination \
  -H "authorization: Bearer $OVH_TOKEN"

Move a service to another billing accountProduction

POST
/1.0/telephony/{billingAccount}/service/{serviceName}/changeOfBillingAccount

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

billingAccountDestination
required
string

Billing account destination target

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/changeOfBillingAccount \
  -H "authorization: Bearer $OVH_TOKEN"

Get diagnostic reportsDeprecated

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/diagnosticReports

Deprecated since Dec 31, 2023, will be removed on Jan 31, 2024.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

dayInterval
required
DiagnosticReportIndexEnum

The date index interval

Values2 days ago3 days agotodayyesterday

Response

200DiagnosticReport[]successful operation
callId
string

Identifier of the concerned leg

category
DiagnosticReportCategoryEnum

Typology where the diagnostic arriving from

Valuesdpisignal
datetime
stringdate-time

Datetime of the diagnostic

description
string

Explanation of the diagnostic

level
DiagnosticReportLevelEnum

The level of the diagnostic

Valuesdebugerrorinfowarn
name
string

Name of the rule detected

report
string

Report of the diagnostic

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/diagnosticReports \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "callId": "string", "category": "dpi", "datetime": "2024-01-01T12:00:00Z", "description": "string", "level": "debug", "name": "string", "report": "string" }]

Get the directory listingProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/directory

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200DirectoryInfosuccessful operation
address
string
—
addressExtra
string
—
ape
string
—
areaCode
read-only
integer
—
birthDate
stringdate
—
cedex
string
—
city
string
—
country
string
—
directoryServiceCode
string
—
displayFirstName
boolean
—
displayMarketingDirectory
boolean
—
displayOnlyCity
boolean
—
displaySearchReverse
boolean
—
displayUniversalDirectory
boolean
—
email
string
—
firstName
string
—
gender
GenderEnum

All genders a person can choose

Valuesfemalemale
inseeCode
read-only
integer
—
legalForm
string
—
lineDescription
string
—
modificationDate
read-only
string
—
modificationType
read-only
string
—
name
string
—
number
read-only
string
—
occupation
string
—
postBox
string
—
postCode
string
—
siret
string
—
socialNomination
string
—
socialNominationExtra
string
—
status
read-only
string
—
urbanDistrict
string
—
wayName
string
—
wayNumber
string
—
wayNumberExtra
string
—
wayType
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/directory \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "string", "addressExtra": "string", "ape": "string", "areaCode": 0, "birthDate": "2024-01-01", "cedex": "string", "city": "string", "country": "string", "directoryServiceCode": "string", "displayFirstName": true, "displayMarketingDirectory": true, "displayOnlyCity": true, "displaySearchReverse": true, "displayUniversalDirectory": true, "email": "string", "firstName": "string", "gender": "female", "inseeCode": 0, "legalForm": "string", "lineDescription": "string", "modificationDate": "string", "modificationType": "string", "name": "string", "number": "string", "occupation": "string", "postBox": "string", "postCode": "string", "siret": "string", "socialNomination": "string", "socialNominationExtra": "string", "status": "string", "urbanDistrict": "string", "wayName": "string", "wayNumber": "string", "wayNumberExtra": "string", "wayType": "string"}

Update the directory listingProduction

PUT
/1.0/telephony/{billingAccount}/service/{serviceName}/directory

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

address
string
—
addressExtra
string
—
ape
string
—
areaCode
read-only
integer
—
birthDate
stringdate
—
cedex
string
—
city
string
—
country
string
—
directoryServiceCode
string
—
displayFirstName
boolean
—
displayMarketingDirectory
boolean
—
displayOnlyCity
boolean
—
displaySearchReverse
boolean
—
displayUniversalDirectory
boolean
—
email
string
—
firstName
string
—
gender
GenderEnum

All genders a person can choose

Valuesfemalemale
inseeCode
read-only
integer
—
legalForm
string
—
lineDescription
string
—
modificationDate
read-only
string
—
modificationType
read-only
string
—
name
string
—
number
read-only
string
—
occupation
string
—
postBox
string
—
postCode
string
—
siret
string
—
socialNomination
string
—
socialNominationExtra
string
—
status
read-only
string
—
urbanDistrict
string
—
wayName
string
—
wayNumber
string
—
wayNumberExtra
string
—
wayType
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/directory \
  -H "authorization: Bearer $OVH_TOKEN"

Fetch company informationProduction

POST
/1.0/telephony/{billingAccount}/service/{serviceName}/directory/fetchEntrepriseInformations

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

entrepriseNumber
required
string

Entreprise number to fetch informations from

Response

200EntrepriseNumberInformationsTasksuccessful operation
informations
EntrepriseNumberInformations

Informations about the enterprise

status
TaskStatusEnum

Task status

Valuesdoingdoneerrorpausetodo

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/directory/fetchEntrepriseInformations \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "informations": { "address": "string", "ape": "string", "brand": "string", "entrepriseNumber": "string", "isValid": true, "name": "string", "siren": "string" }, "status": "doing"}

Get the directory service codeProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/directory/getDirectoryServiceCode

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

apeCode
required
string
—

Response

200DirectoryHeadingPJ[]successful operation
apeCode
read-only
string
—
apeDescription
read-only
string
—
directoryServiceCode
read-only
integer
—
directoryServiceDescription
read-only
string
—
notification
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/directory/getDirectoryServiceCode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "apeCode": "string", "apeDescription": "string", "directoryServiceCode": 0, "directoryServiceDescription": "string", "notification": "string" }]

List street typesProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/directory/getWayTypes

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200DirectoryWayType[]successful operation
abbreviatedName
read-only
string
—
wayName
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/directory/getWayTypes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "abbreviatedName": "string", "wayName": "string" }]

Get the event tokenProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/eventToken

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200EventTokensuccessful operation
token
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "token": "string"}

Create an event tokenProduction

POST
/1.0/telephony/{billingAccount}/service/{serviceName}/eventToken

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

expiration
required
TokenExpirationEnum

Time to live in seconds for the token

Values1 day1 hour30 days5 minutesunlimited

Response

200stringsuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete the event tokenProduction

DELETE
/1.0/telephony/{billingAccount}/service/{serviceName}/eventToken

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"

Get the scheduled offer changeProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/offerChange

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200OfferChangesuccessful operation
offer
read-only
string

The current offer will be replace by this one on the next renew.

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/offerChange \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "offer": "string"}

Schedule an offer changeProduction

POST
/1.0/telephony/{billingAccount}/service/{serviceName}/offerChange

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

offer
required
string

The future offer

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/offerChange \
  -H "authorization: Bearer $OVH_TOKEN"

Cancel the scheduled offer changeProduction

DELETE
/1.0/telephony/{billingAccount}/service/{serviceName}/offerChange

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/offerChange \
  -H "authorization: Bearer $OVH_TOKEN"

List available offer changesProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/offerChanges

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200LineOffer[]successful operation
description
string

The offer description

name
string

The offer name

price
Price

Offer price per month

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/offerChanges \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]

List offer tasksProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/offerTask

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

action
OfferTaskActionEnum

Filter the value of action property (=)

ValuesconvertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgrade
status
TaskStatusEnum

Filter the value of status property (=)

Valuesdoingdoneerrorpausetodo
type
OfferTaskTypeEnum

Filter the value of type property (=)

Valueslineofferoptionphone

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/offerTask \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an offer taskProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/offerTask/{taskId}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
taskId
required
integer
—

Response

200OfferTasksuccessful operation
action
read-only
OfferTaskActionEnum

Actual action that will be executed

ValuesconvertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgrade
executionDate
stringdate-time

Planned execution date

status
read-only
TaskStatusEnum

Current status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—
type
read-only
OfferTaskTypeEnum

Type of operation that will be executed

Valueslineofferoptionphone

Example uses billingAccount = string, serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/offerTask/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}

Update an offer taskProduction

PUT
/1.0/telephony/{billingAccount}/service/{serviceName}/offerTask/{taskId}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
taskId
required
integer
—

Request body (required)

action
read-only
OfferTaskActionEnum

Actual action that will be executed

ValuesconvertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgrade
executionDate
stringdate-time

Planned execution date

status
read-only
TaskStatusEnum

Current status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—
type
read-only
OfferTaskTypeEnum

Type of operation that will be executed

Valueslineofferoptionphone

Response

200—successful operation

Example uses billingAccount = string, serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/offerTask/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"

List last month call recordsProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/previousVoiceConsumption

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

creationDatetime.from
stringdate-time

Filter the value of creationDatetime property (>=)

creationDatetime.to
stringdate-time

Filter the value of creationDatetime property (<=)

destinationType
VoiceConsumptionDestinationTypeEnum

Filter the value of destinationType property (=)

Valueslandlinemobilespecial
planType
VoiceConsumptionPlanTypeEnum

Filter the value of planType property (=)

Valuesoutplanpriceplan
wayType
VoiceConsumptionWayTypeEnum

Filter the value of wayType property (=)

Valuesincomingoutgoingtransfer

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/previousVoiceConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a last month call recordProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/previousVoiceConsumption/{consumptionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

consumptionId
required
integer
—
serviceName
required
string
—

Response

200PreviousVoiceConsumptionsuccessful operation
called
read-only
phoneNumber

Phone number

calling
read-only
phoneNumber

Phone number

consumptionId
read-only
integer
—
countrySuffix
read-only
string

Country suffix destination

creationDatetime
read-only
stringdate-time
—
designation
read-only
string

Description of the destination

destinationType
read-only
VoiceConsumptionDestinationTypeEnum

Consumption destination type

Valueslandlinemobilespecial
duration
read-only
integer
—
hangupNature
read-only
string

Information about hangup cause

planType
read-only
VoiceConsumptionPlanTypeEnum

Consumption plan type

Valuesoutplanpriceplan
priceWithoutTax
read-only
Price

Price with it's currency and textual representation

wayType
read-only
VoiceConsumptionWayTypeEnum

Consumption way type

Valuesincomingoutgoingtransfer

Example uses billingAccount = string, consumptionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/previousVoiceConsumption/{consumptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "called": "string", "calling": "string", "consumptionId": 0, "countrySuffix": "string", "creationDatetime": "2024-01-01T12:00:00Z", "designation": "string", "destinationType": "landline", "duration": 0, "hangupNature": "string", "planType": "outplan", "priceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "wayType": "incoming"}

List repayable callsProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/repaymentConsumption

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

creationDatetime.from
stringdate-time

Filter the value of creationDatetime property (>=)

creationDatetime.to
stringdate-time

Filter the value of creationDatetime property (<=)

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/repaymentConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a repayable callProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/repaymentConsumption/{consumptionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

consumptionId
required
integer
—
serviceName
required
string
—

Response

200RepaymentConsumptionsuccessful operation
called
read-only
phoneNumber

Called number of the call

calling
read-only
phoneNumber

Calling number of the call

consumptionId
read-only
integer
—
creationDatetime
read-only
stringdate-time

the Datetime of the start of the call

dialed
read-only
phoneNumber

Phone number

duration
read-only
integer

Duration of the call

operator
read-only
string

Calling number's operator

price
read-only
number

Price repayed with the call

repayable
read-only
boolean

Is the call repayable right now

Example uses billingAccount = string, consumptionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/repaymentConsumption/{consumptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "called": "string", "calling": "string", "consumptionId": 0, "creationDatetime": "2024-01-01T12:00:00Z", "dialed": "string", "duration": 0, "operator": "string", "price": 0, "repayable": true}

List tasksProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/task

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

action
string

Filter the value of action property (=)

serviceType
string

Filter the value of serviceType property (=)

status
TaskStatusEnum

Filter the value of status property (=)

Valuesdoingdoneerrorpausetodo

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/task/{taskId}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
taskId
required
integer
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List call recordsProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/voiceConsumption

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

creationDatetime.from
stringdate-time

Filter the value of creationDatetime property (>=)

creationDatetime.to
stringdate-time

Filter the value of creationDatetime property (<=)

destinationType
VoiceConsumptionDestinationTypeEnum

Filter the value of destinationType property (=)

Valueslandlinemobilespecial
planType
VoiceConsumptionPlanTypeEnum

Filter the value of planType property (=)

Valuesoutplanpriceplan
wayType
VoiceConsumptionWayTypeEnum

Filter the value of wayType property (=)

Valuesincomingoutgoingtransfer

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/voiceConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a call recordProduction

GET
/1.0/telephony/{billingAccount}/service/{serviceName}/voiceConsumption/{consumptionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

consumptionId
required
integer
—
serviceName
required
string
—

Response

200VoiceConsumptionsuccessful operation
called
read-only
phoneNumber

Phone number

calling
read-only
phoneNumber

Phone number

consumptionId
read-only
integer
—
countrySuffix
read-only
string

Country suffix destination

creationDatetime
read-only
stringdate-time
—
designation
read-only
string

Description of the destination

destinationType
read-only
VoiceConsumptionDestinationTypeEnum

Consumption destination type

Valueslandlinemobilespecial
dialed
read-only
phoneNumber

Phone number

duration
read-only
integer
—
hangupNature
read-only
string

Information about hangup cause

planType
read-only
VoiceConsumptionPlanTypeEnum

Consumption plan type

Valuesoutplanpriceplan
priceWithoutTax
read-only
Price

Price with it's currency and textual representation

wayType
read-only
VoiceConsumptionWayTypeEnum

Consumption way type

Valuesincomingoutgoingtransfer

Example uses billingAccount = string, consumptionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/service/{serviceName}/voiceConsumption/{consumptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "called": "string", "calling": "string", "consumptionId": 0, "countrySuffix": "string", "creationDatetime": "2024-01-01T12:00:00Z", "designation": "string", "destinationType": "landline", "dialed": "string", "duration": 0, "hangupNature": "string", "planType": "outplan", "priceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "wayType": "incoming"}